Skip to content
Developer

ChatbotProfile

Chat and notifications7 EndpointsChat / ChatbotProfile

Returns a list of all ChatbotProfiles

GET/api/chat/chatbot_profile

Query parameters

idstring, SCOPE_LIST
namestring, SCOPE_LIST
modestringadmin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums). | , SCOPE_LIST
activestring, SCOPE_LIST
deletedbooleanThis property is used to mark an entity as deleted / archived | , SCOPE_LIST | Multiple default values: false, false,
replyModestringalways | mention | question - siehe REPLY_MODE_* Konstanten. | , SCOPE_LIST
createdstring, SCOPE_LIST
updatedstring, SCOPE_LIST
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all ChatbotProfilesarray<ChatbotProfile>

Show fields (18)
  • idinteger

    Primary key of the chatbot profile. Internal ID.

  • tokenstring

    Token that identifies the chatbot profile.

  • preferred_color_hexstring

    Preferred color of the chatbot as hex value.

  • modestring

    admin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).

  • system_promptstring

    System-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).

  • modelstring

    Modell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.

  • max_tokensinteger

    Maximum number of tokens per answer.

  • max_tool_iterationsinteger

    Obergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.

  • max_context_messagesinteger

    Wie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.

  • reply_modestring

    always | mention | question - siehe REPLY_MODE_* Konstanten.

  • requires_opt_inboolean

    Muss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.

  • disclaimer_textstring

    Wird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.

  • activeboolean

    Whether the chatbot profile is active.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • image_urlstring

    URL of the image of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/chat/chatbot_profile \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "disclaimer_text": "Text",
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "token": "string",
    "preferred_color_hex": "string",
    "mode": "string",
    "system_prompt": "string",
    "model": "string",
    "max_tokens": 1
  }
]

Add a new ChatbotProfile

POST/api/chat/chatbot_profile

Request body application/json

  • dataChatbotProfile
    Show fields (18)
    • idinteger

      Primary key of the chatbot profile. Internal ID.

    • tokenstring

      Token that identifies the chatbot profile.

    • preferred_color_hexstring

      Preferred color of the chatbot as hex value.

    • modestring

      admin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).

    • system_promptstring

      System-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).

    • modelstring

      Modell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.

    • max_tokensinteger

      Maximum number of tokens per answer.

    • max_tool_iterationsinteger

      Obergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.

    • max_context_messagesinteger

      Wie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.

    • reply_modestring

      always | mention | question - siehe REPLY_MODE_* Konstanten.

    • requires_opt_inboolean

      Muss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.

    • disclaimer_textstring

      Wird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.

    • activeboolean

      Whether the chatbot profile is active.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

Responses

200Add a new ChatbotProfileChatbotProfile

Show fields (18)
  • idinteger

    Primary key of the chatbot profile. Internal ID.

  • tokenstring

    Token that identifies the chatbot profile.

  • preferred_color_hexstring

    Preferred color of the chatbot as hex value.

  • modestring

    admin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).

  • system_promptstring

    System-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).

  • modelstring

    Modell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.

  • max_tokensinteger

    Maximum number of tokens per answer.

  • max_tool_iterationsinteger

    Obergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.

  • max_context_messagesinteger

    Wie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.

  • reply_modestring

    always | mention | question - siehe REPLY_MODE_* Konstanten.

  • requires_opt_inboolean

    Muss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.

  • disclaimer_textstring

    Wird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.

  • activeboolean

    Whether the chatbot profile is active.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • image_urlstring

    URL of the image of the entity.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/chat/chatbot_profile \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "disclaimer_text": "Text",
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "token": "string",
    "preferred_color_hex": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "disclaimer_text": "Text",
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "token": "string",
  "preferred_color_hex": "string",
  "mode": "string",
  "system_prompt": "string",
  "model": "string",
  "max_tokens": 1
}

Die MCP-Tools, die ein Profil im angegebenen Modus auswaehlen kann - Titel und Beschreibung kommen aus dem eingebauten MCP-Server.

GET/api/chat/chatbot_profile_tools

Query parameters

moderequiredstringadmin, member or public

Responses

200List of MCP tools a chatbot profile of the mode may usearray<object>

Show fields (6)
  • namestring
  • titlestring
  • descriptionstring
  • publicboolean
  • read_onlyboolean
  • availableboolean

    switched on in this installation; switched off tools may be selected and work once their setting is on

Request
curl --request GET \
  --url 'https://your-instance.iw-erp.de/api/chat/chatbot_profile_tools?mode=string' \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "name": "Beispiel",
    "title": "Beispiel",
    "description": "Text",
    "public": true,
    "read_only": true,
    "available": true
  }
]

Returns a single ChatbotProfile entry.

GET/api/chat/chatbot_profile/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return single ChatbotProfileChatbotProfile

Show fields (18)
  • idinteger

    Primary key of the chatbot profile. Internal ID.

  • tokenstring

    Token that identifies the chatbot profile.

  • preferred_color_hexstring

    Preferred color of the chatbot as hex value.

  • modestring

    admin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).

  • system_promptstring

    System-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).

  • modelstring

    Modell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.

  • max_tokensinteger

    Maximum number of tokens per answer.

  • max_tool_iterationsinteger

    Obergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.

  • max_context_messagesinteger

    Wie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.

  • reply_modestring

    always | mention | question - siehe REPLY_MODE_* Konstanten.

  • requires_opt_inboolean

    Muss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.

  • disclaimer_textstring

    Wird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.

  • activeboolean

    Whether the chatbot profile is active.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • image_urlstring

    URL of the image of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/chat/chatbot_profile/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "disclaimer_text": "Text",
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "token": "string",
  "preferred_color_hex": "string",
  "mode": "string",
  "system_prompt": "string",
  "model": "string",
  "max_tokens": 1
}

Updates an existing ChatbotProfile entry.

PUT/api/chat/chatbot_profile/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataChatbotProfile
    Show fields (18)
    • idinteger

      Primary key of the chatbot profile. Internal ID.

    • tokenstring

      Token that identifies the chatbot profile.

    • preferred_color_hexstring

      Preferred color of the chatbot as hex value.

    • modestring

      admin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).

    • system_promptstring

      System-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).

    • modelstring

      Modell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.

    • max_tokensinteger

      Maximum number of tokens per answer.

    • max_tool_iterationsinteger

      Obergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.

    • max_context_messagesinteger

      Wie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.

    • reply_modestring

      always | mention | question - siehe REPLY_MODE_* Konstanten.

    • requires_opt_inboolean

      Muss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.

    • disclaimer_textstring

      Wird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.

    • activeboolean

      Whether the chatbot profile is active.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

Responses

200Update single ChatbotProfileChatbotProfile

Show fields (18)
  • idinteger

    Primary key of the chatbot profile. Internal ID.

  • tokenstring

    Token that identifies the chatbot profile.

  • preferred_color_hexstring

    Preferred color of the chatbot as hex value.

  • modestring

    admin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).

  • system_promptstring

    System-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).

  • modelstring

    Modell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.

  • max_tokensinteger

    Maximum number of tokens per answer.

  • max_tool_iterationsinteger

    Obergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.

  • max_context_messagesinteger

    Wie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.

  • reply_modestring

    always | mention | question - siehe REPLY_MODE_* Konstanten.

  • requires_opt_inboolean

    Muss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.

  • disclaimer_textstring

    Wird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.

  • activeboolean

    Whether the chatbot profile is active.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • image_urlstring

    URL of the image of the entity.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/chat/chatbot_profile/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "disclaimer_text": "Text",
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "token": "string",
    "preferred_color_hex": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "disclaimer_text": "Text",
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "token": "string",
  "preferred_color_hex": "string",
  "mode": "string",
  "system_prompt": "string",
  "model": "string",
  "max_tokens": 1
}

Updates an existing ChatbotProfile entry.

PATCH/api/chat/chatbot_profile/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataChatbotProfile
    Show fields (18)
    • idinteger

      Primary key of the chatbot profile. Internal ID.

    • tokenstring

      Token that identifies the chatbot profile.

    • preferred_color_hexstring

      Preferred color of the chatbot as hex value.

    • modestring

      admin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).

    • system_promptstring

      System-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).

    • modelstring

      Modell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.

    • max_tokensinteger

      Maximum number of tokens per answer.

    • max_tool_iterationsinteger

      Obergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.

    • max_context_messagesinteger

      Wie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.

    • reply_modestring

      always | mention | question - siehe REPLY_MODE_* Konstanten.

    • requires_opt_inboolean

      Muss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.

    • disclaimer_textstring

      Wird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.

    • activeboolean

      Whether the chatbot profile is active.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

Responses

200Update single ChatbotProfileChatbotProfile

Show fields (18)
  • idinteger

    Primary key of the chatbot profile. Internal ID.

  • tokenstring

    Token that identifies the chatbot profile.

  • preferred_color_hexstring

    Preferred color of the chatbot as hex value.

  • modestring

    admin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).

  • system_promptstring

    System-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).

  • modelstring

    Modell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.

  • max_tokensinteger

    Maximum number of tokens per answer.

  • max_tool_iterationsinteger

    Obergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.

  • max_context_messagesinteger

    Wie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.

  • reply_modestring

    always | mention | question - siehe REPLY_MODE_* Konstanten.

  • requires_opt_inboolean

    Muss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.

  • disclaimer_textstring

    Wird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.

  • activeboolean

    Whether the chatbot profile is active.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • image_urlstring

    URL of the image of the entity.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/chat/chatbot_profile/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "disclaimer_text": "Text",
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "token": "string",
    "preferred_color_hex": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "disclaimer_text": "Text",
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "token": "string",
  "preferred_color_hex": "string",
  "mode": "string",
  "system_prompt": "string",
  "model": "string",
  "max_tokens": 1
}

Delete a single ChatbotProfile

DELETE/api/chat/chatbot_profile/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return single ChatbotProfileChatbotProfile

Show fields (18)
  • idinteger

    Primary key of the chatbot profile. Internal ID.

  • tokenstring

    Token that identifies the chatbot profile.

  • preferred_color_hexstring

    Preferred color of the chatbot as hex value.

  • modestring

    admin | member | public - siehe MODE_* Konstanten. Der Modus bestimmt, in welchen Raeumen das Profil ueberhaupt eingesetzt werden darf (Bot-Modus <= Vertrauensstufe des Raums).

  • system_promptstring

    System-Prompt mit Platzhaltern ([[PERSON_INFO]], [[BASIC_PRINCIPLES]], [[ROOM_INFO]], [[TODAY]], [[TOOL_HINTS]], ...).

  • modelstring

    Modell-ID in LiteLLM-Notation. Leer heisst: Setting chatbot_default_model.

  • max_tokensinteger

    Maximum number of tokens per answer.

  • max_tool_iterationsinteger

    Obergrenze Tool-Aufrufe pro Turn. Leer heisst: Setting chatbot_tool_max_iterations.

  • max_context_messagesinteger

    Wie viele abgeschlossene Nachrichten als Kontext an das Modell gehen.

  • reply_modestring

    always | mention | question - siehe REPLY_MODE_* Konstanten.

  • requires_opt_inboolean

    Muss die Person vor der Nutzung einwilligen? Bei mode=member erzwungen true.

  • disclaimer_textstring

    Wird beim Beitritt als erste internal_system-Nachricht im Raum gepostet.

  • activeboolean

    Whether the chatbot profile is active.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • image_urlstring

    URL of the image of the entity.

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/chat/chatbot_profile/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "disclaimer_text": "Text",
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "token": "string",
  "preferred_color_hex": "string",
  "mode": "string",
  "system_prompt": "string",
  "model": "string",
  "max_tokens": 1
}